Package org.apache.any23.extractor.html

## Class SpanCloserInputStreamTest

- java.lang.Object
- - org.apache.any23.extractor.html.SpanCloserInputStreamTest

-     public class SpanCloserInputStreamTest
      extends Object

  Test case for `SpanCloserInputStream`.
  Author:
    Michele Mostarda (mostarda@fbk.eu)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SpanCloserInputStreamTest()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `testCloserTransparency()` |
    `void` | `testMixedReplacement()` |
    `void` | `testNestedSpanReplacement()` |
    `void` | `testRealSpanReplacement()` |
    `void` | `testSpanNegativeReplacement()` |
    `void` | `testSpanPositiveReplacement()` |
    `void` | `testSubsequentSpanReplacement()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpanCloserInputStreamTest

          public SpanCloserInputStreamTest()

  - ### Method Detail

    - #### testSpanPositiveReplacement

          public void testSpanPositiveReplacement()
                                           throws IOException

      Throws:
        `IOException`

    - #### testSpanNegativeReplacement

          public void testSpanNegativeReplacement()
                                           throws IOException

      Throws:
        `IOException`

    - #### testSubsequentSpanReplacement

          public void testSubsequentSpanReplacement()
                                             throws IOException

      Throws:
        `IOException`

    - #### testNestedSpanReplacement

          public void testNestedSpanReplacement()
                                         throws IOException

      Throws:
        `IOException`

    - #### testMixedReplacement

          public void testMixedReplacement()
                                    throws IOException

      Throws:
        `IOException`

    - #### testRealSpanReplacement

          public void testRealSpanReplacement()
                                       throws IOException

      Throws:
        `IOException`

    - #### testCloserTransparency

          public void testCloserTransparency()
                                      throws IOException

      Throws:
        `IOException`